[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSearchRec

Record describing a search handle or result

## Declaration

Source position: filutilh.inc line 89

`type TSearchRec = TRawbyteSearchRec;`

## Description

TSearchRec is a search handle description record. It is initialized by a call to FindFirst and can be used to do subsequent calls to FindNext. It contains the result of these function calls. It must be used to close the search sequence with a call to FindClose.

Remark: | Not all fields of this record should be used. Some of the fields are for internal use only. (PathOnly for example, is only provided for Kylix compatibility)

## See also

FindFirst |  | Start a file search and return a findhandle
FindNext |  | Find the next entry in a findhandle.
FindClose |  | Close a find handle